<?php
/*
Plugin Name: DevItems Front-End Submission Lite
Plugin URI: https://devitems.com/plugins/devitems-frontend-submission/
Description: This Plugin allow registered users to publish post from frontend. Use shortcode '[devitems_frontend_post]' anywhere you want to get form to publish post. Happy Blogging!!!
Version: 1.0.0
Author: DevItems
Author URI: http://www.devitems.com
License: GPLv2 or later
Text Domain: devitems
*/


add_action( 'plugins_loaded', 'dfesubmission_load_textdomain' );
/**
 * Load plugin textdomain.
 *
 * @since 1.0.0
 */
function dfesubmission_load_textdomain() {
  load_plugin_textdomain( 'devitems', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' ); 
}

function devitems_show_form()
{
	if(is_user_logged_in())
	{
		include_once('form.php');
	}
	else
    {
    	echo esc_html__('You have to' , 'devitems'). "<a href='".esc_url(site_url())."/wp-login.php?redirect_to=".esc_url(get_permalink())."'>'".esc_html__('login in' , 'devitems')."'</a>" .esc_html__('to publish post' , 'devitems');
	}

}
add_shortcode('devitems_frontend_post', 'devitems_show_form');

function devitems_add_new_post()
{
    if( (isset ($_POST['devitems_post_title'])) &&  (isset ($_POST['devitems_post_description']))) 
    {
        if (isset ($_POST['devitems_post_title'])) 
        {   
            $title =  sanitize_text_field($_POST['devitems_post_title']);
        } 
        else
        {
            echo esc_html__('Please enter the post title' , 'devitems');
        }

        if (isset ($_POST['devitems_post_description'])) 
        {
            $description = wp_kses_post($_POST['devitems_post_description']);
        } 
        else 
        {
            echo esc_html__('Please enter post description', 'devitems');
        }

        $new_post = array(
        'post_title'    =>   $title,
        'post_content'  =>   $description,
        'post_category' =>   array($_POST['cat']),  
        'post_status'   =>   'publish', 
        'post_type' =>   'post'
        );

        $dev_tag = $_POST['my_tags'];
        $pid = wp_insert_post($new_post);

    
        if($_FILES['thumbnail']['size']!=0)
        {
	
			include_once(ABSPATH . 'wp-admin/includes/image.php');
			include_once(ABSPATH . 'wp-admin/includes/file.php');
			include_once(ABSPATH . 'wp-admin/includes/media.php'); 
			
            $attach_id = media_handle_upload('thumbnail', $pid);
            update_post_meta($pid, '_thumbnail_id', $attach_id);
        }
        $term = get_term( $dev_tag, 'post_tag' );
        $devTermName = $term->name;
        wp_set_post_terms( $pid, $devTermName, 'post_tag' );
        $link = get_permalink( $pid );
        wp_redirect( $link );
    }
do_action('wp_insert_post', 'wp_insert_post');
}
add_action('init', 'devitems_add_new_post');
?>